Draft: Clona

From FreeCAD Documentation
Jump to: navigation, search
This page is a translated version of the page Draft Clone and the translation is 9% complete.

Outdated translations are marked like this.
Other languages:
čeština • ‎Deutsch • ‎English • ‎español • ‎français • ‎italiano • ‎polski • ‎português do Brasil • ‎română • ‎русский • ‎svenska • ‎Türkçe
Arrow-left.svg Draft PointArray.svg Point Array Previous:
Next: Drawing Draft Drawing.svg Arrow-right.svg

Draft Clone.svg Clona

Posizione nel menu
Draft → Clona
Ambiente
Draft, Architettura
Avvio veloce
Nessuno
Introdotto nella versione
-
Vedere anche
Scala


Questo strumento produce un clone (una copia che è parametricamente vincolata all'oggetto originale) di un oggetto selezionato. Se l'oggetto originale viene modificato, si modifica anche il clone, ma mantiene la sua posizione, la sua rotazione e la sua scala.

The Clone tool can be used on 2D shapes created with the Draft Workbench, but can also be used on many types of 3D objects such as those created with the Part, PartDesign, or Arch Workbenches.

To create simple copies, that are completely independent from an original object, use Draft Move, Draft Rotate, and Draft Scale. To position copies in an orthogonal array use Draft Array; to position copies along a path use Draft PathArray; to position copies at specified points use Draft PointArray.

Draft Clone example.jpg

Draft Clone example.jpg

Utilizzo

  1. Selezionare gli oggetti che si desidera clonare
  2. Premere il pulsante Draft Clone.png Clona

Depending on its options, the Draft Scale.svg Draft Scale tool also creates a clone at a specified scale.

Clones of 2D objects created with the Draft or Sketcher Workbenches will also be 2D objects, and therefore can be used as such for the PartDesign Workbench.

All Arch Workbench objects have the possibility to behave as clones by using their DATACloneOf property. If you use the Draft Clone tool on a selected Arch object, you will produce such an Arch clone instead of a regular Draft clone.

Limitations

Currently, Sketcher Sketches cannot be mapped to the faces of a clone.

Opzioni

  • I cloni di oggetti 2D (Draft o Sketch) sono anche loro oggetti 2D, e quindi possono essere utilizzati come tali in Part Design.
  • Tutti gli oggetti Arch hanno la possibilità di comportarsi come un clone (usando le loro proprietà CloneOf). Se si utilizza lo strumento Clone di Draft su un oggetto Arch selezionato, si produce un oggetto Arch clonato al posto di un normale Clone di Draft.

Proprietà

  • DatiScale: Specifica un fattore opzionale di scala per il clone
  • Anche il risultato dello strumento Scala è un clone
  • DATAFuse: Se il clone utilizza diversi oggetti, questo specifica se il risultato è una fusione o è un composto introduced in version 0.17
  • Sulla faccia di un clone non si possono mappare degli schizzi. Per ora questa è una limitazione nota.

Script

Lo strumento Clona può essere utilizzato nelle macro e dalla console di Python utilizzando la seguente funzione:

The Clone tool can be used in macros and from the Python console by using the following function:

cloned_object = clone(obj, delta=None, forcedraft=False)
  • Crea un clone dell'oggetto(i) dato. Il clone è una copia esatta, vincolata, dell'oggetto dato.
  • Se l'oggetto originale viene modificato, si modifica anche il clone.
  • Come opzione, si può fornire un vettore delta per spostare il clone dalla sua posizione originale.

The fusion of the objects that are part of the clone can be achieved by setting its Fuse attribute to True.

Esempio:

import FreeCAD, Draft

place = FreeCAD.Placement(FreeCAD.Vector(1000, 0, 0), FreeCAD.Rotation())
Polygon1 = Draft.makePolygon(3, 750)
Polygon2 = Draft.makePolygon(5, 750, placement=place)

obj = [Polygon1, Polygon2]
vector = FreeCAD.Vector(2600, 500, 0)
cloned_object = Draft.clone(obj, delta=vector)

cloned_object.Fuse = True
FreeCAD.ActiveDocument.recompute()
Arrow-left.svg Draft PointArray.svg Point Array Previous:
Next: Drawing Draft Drawing.svg Arrow-right.svg